package com.cftech.workshop.statistics.dao;

import com.cftech.core.sql.Conds;
import com.cftech.workshop.statistics.model.*;
import com.cftech.core.generic.GenericDao;

import java.util.List;
import java.util.Map;

/**
* Mapper
*
* @author byj
* @date: 2018-07-13 13:23
*/
public interface StatisticsMapper extends GenericDao<Statistics> {

    //查看某个研讨会下面某个样本的总查看率
    List<Sampleclick> countsampleclicks(Map<String,Object> para);
    //查看某个研讨会下面的预导入名单里面行业分类
    List<WorkshopType> selecttypeworkshop(Map<String,Object> para);
    //查看某个研讨会下面的演讲嘉宾点击量
    List<Speechclik> countspeechclicks(Map<String,Object> para);
    //查看某个研讨会下面的会议议程评分度
    List<Agendascore> countagendascore(Map<String,Object> para);

}